import { Container } from "@pixi/display";
import { Sprite } from "@pixi/sprite";
import { IController } from '../types/controller';
export declare class BGController extends Container implements IController {
    protected readonly _bgMap: Map<string, Sprite>;
    process({ bg, bgEffect, bgEffectTime }: TrackFrames): void;
    reset(): void;
    protected _insertNewBg(bgName: string, alphaValue: number, removeOld?: boolean): void;
    protected _changeBgByEffect(bgName: string, effectName: string, bgEffectTime: number): void;
    addTo<C extends Container>(parent: C): this;
}
