import { Container } from "@pixi/display";
import { Sprite } from "@pixi/sprite";
import { IController } from '../types/controller';
export declare class FGController extends Container implements IController {
    protected readonly _fgMap: Map<string, Sprite>;
    protected _currentFg: undefined | null | Sprite;
    addTo<C extends Container>(parent: C): this;
    reset(): void;
    process({ fg, fgEffect, fgEffectTime }: TrackFrames): void;
    protected _changeFg(fgName: string, order: number, alphaValue: number): void;
    protected _changeFgByEffect(fgName: string, fgEffect: string, fgEffectTime: number): void;
    protected _fadeOutFg(): void;
}
