import { Container } from "@pixi/display";
import { IController } from '../types/controller';
export declare class MovieController extends Container implements IController {
    protected _onMovieEnded: Function;
    addTo<C extends Container>(parent: C): this;
    reset(): void;
    process({ movie, onMovieEnded }: TrackFrames & Record<string, any>): void;
    _playMovie(movie: string): void;
}
