import { Container } from "@pixi/display";
import { IController } from '../types/controller';
export declare class SelectController extends Container implements IController {
    options: IViewerOptions | undefined;
    protected readonly _stMap: Map<any, any>;
    protected _neededFrame: number;
    protected _language: string;
    addTo<C extends Container>(parent: C): this;
    reset(): void;
    process({ select, nextLabel, translated_text, selectonClick, afterSelection }: TrackFrames & Record<string, any>): void;
    toggleLanguage(lang: string): void;
    protected _disableInteractive(): void;
    protected _fadeOutOption(): void;
    frameForward(): void;
    frameReset(): void;
    get neededFrame(): number;
}
