import { Container } from "@pixi/display";
import { Graphics } from '@pixi/graphics';
import { IController } from '../types/controller';
export declare class EffectController extends Container implements IController {
    protected readonly _effectMap: Map<string, Graphics>;
    reset(): void;
    process({ effectLabel, effectTarget, effectValue }: TrackFrames): void;
    addTo<C extends Container>(parent: C): this;
}
