import { Container } from "@pixi/display";
import { IController } from '../types/controller';
export declare class StillController extends Container implements IController {
    protected readonly _stMap: Map<any, any>;
    reset(): void;
    addTo<T extends Container>(parent: T): this;
    process({ still, stillType, stillId, stillCtrl }: TrackFrames): void;
    _changeStill(stillName: string): void;
    _changeStillByType(stillType: string, stillId: string): void;
    _control(stillCtrl: string): void;
    _removeStill(): void;
}
